メインコンテンツへスキップ
PATCH
/
metadata_taxonomies
/
{namespace}
/
{taxonomy_key}
cURL
curl -i -X PATCH "https://api.box.com/2.0/metadata_taxonomies/enterprise_123456/geography" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "displayName": "Geography"
     }'
{
  "id": "822227e0-47a5-921b-88a8-494760b2e6d2",
  "displayName": "Geography",
  "namespace": "enterprise_123456",
  "key": "geography",
  "levels": [
    {
      "displayName": "Continent",
      "description": "Continent",
      "level": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

namespace
string
必須

メタデータ階層の名前空間。

taxonomy_key
string
必須

メタデータ階層のキー。

ボディ

application/json
displayName
string
必須

メタデータ階層の表示名。

Maximum string length: 4096
:

"Geography"

レスポンス

更新されたメタデータ階層を表すスキーマ。

メタデータテンプレートで使用可能なメタデータ階層のオブジェクト。

id
string
必須

メタデータ階層の一意の識別子。

:

"822227e0-47a5-921b-88a8-494760b2e6d2"

displayName
string
必須

メタデータ階層の表示名。Boxウェブアプリに表示されます。

Maximum string length: 4096
:

"Geography"

namespace
string
必須

メタデータ階層が関連付けられている名前空間。

Maximum string length: 4096
:

"enterprise_123456"

key
string

メタデータ階層の一意の識別子。この識別子は、そのメタデータ階層が属する名前空間内で一意である必要があります。

Maximum string length: 256
Pattern: ^[a-zA-Z_][-a-zA-Z0-9_]*$
:

"geography"

levels
メタデータ階層レベル · object[]

メタデータ階層のレベル。